Intervals Developers
API Reference
Sign inGet API key
IntroductionAuthenticationErrorsPaginationRate LimitsIdempotency

Endpoints

GETYour organizationGETAll eventsGETRetrieve an eventPOSTCreate an eventGETAll registrationsPOSTRegister a participantGETAll recurrencesGETAll collectionsGETRetrieve a collectionGETEvents in a collection
Changelog
Sign inGet API key

Endpoints

Retrieve a collection

Retrieve a single event collection by slug. Scoped to your organization.

GET/collections/:slug
curl -H "Authorization: Bearer INTERVALS_PARTNER_API_KEY" \
  https://api.intervals.run/collections/lakefront-race-series

Path Parameters

slugstringrequired

The collection slug

Authorization

read:collections

Response

idstringrequired

Collection ID

organizationIdstringrequired

Owning organization ID

namestringrequired

Collection name

slugstringrequired

URL-friendly slug (unique)

descriptionstring

Collection description

statusenum<string>required

Lifecycle status

Available options: active,paused,archived

cardImageUrlstring

Card image URL (if set).

coverImageUrlstring

Cover image URL (if set).

{
  "data": {
    "id": "c14abc789def012",
    "organizationId": "k57abc123def456",
    "name": "Lakefront Race Series",
    "slug": "lakefront-race-series",
    "description": "Our seasonal series of lakefront road races.",
    "status": "active"
  }
}

What you can build

All collectionsEvents in a collection

Request

curl -H "Authorization: Bearer INTERVALS_PARTNER_API_KEY" \
  https://api.intervals.run/collections/lakefront-race-series

Response

{
  "data": {
    "id": "c14abc789def012",
    "organizationId": "k57abc123def456",
    "name": "Lakefront Race Series",
    "slug": "lakefront-race-series",
    "description": "Our seasonal series of lakefront road races.",
    "status": "active"
  }
}